package com.hotent.baseInfo.manager;

import com.hotent.baseInfo.model.CostDictData;
import com.hotent.baseInfo.model.CostDictType;
import com.hotent.base.manager.BaseManager;

import java.util.List;

/**
 * 字典类型表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-13
 */
public interface CostDictTypeManager extends BaseManager<CostDictType> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostDictType getDetail(String id);
	/**
	 * 新建、更新字典类型表
	 * @param costDictType
	 * @return
	 */
	void create(CostDictType costDictType);

	void update(CostDictType costDictType);



	/**
	 * 根据条件分页查询字典类型
	 *
	 * @param dictType 字典类型信息
	 * @return 字典类型集合信息
	 */
	public List<CostDictType> selectDictTypeList(CostDictType dictType);

	/**
	 * 根据所有字典类型
	 *
	 * @return 字典类型集合信息
	 */
	public List<CostDictType> selectDictTypeAll();

	/**
	 * 根据字典类型查询字典数据
	 *
	 * @param dictType 字典类型
	 * @return 字典数据集合信息
	 */
	public List<CostDictData> selectDictDataByType(String dictType);


	/**
	 * 根据id删除字典类型
	 * @param dictIds
	 */
	public void deleteDictTypeByIds(Long[] dictIds);

	/**
	 * 校验字典类型称是否唯一
	 *
	 * @param dictType 字典类型
	 * @return 结果
	 */
	public boolean checkDictTypeUnique(CostDictType dictType);
}
